package edu.travel.commodity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import java.util.Date;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 服务国家表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "base_country_serve")
public class BaseCountryServe {
    /**
     * ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 所属洲
     */
    @TableField(value = "parent_id")
    private Long parentId;

    /**
     * 关联国家id
     */
    @TableField(value = "country_id")
    private Long countryId;

    /**
     * 服务费比率
     */
    @TableField(value = "service_charge_value")
    private BigDecimal serviceChargeValue;

    /**
     * 结算显示方式 -0 CNY100 -1 ¥100 -2 100RMB
     */
    @TableField(value = "pay_view_way")
    private Integer payViewWay;

    /**
     * 中文国家/洲名称
     */
    @TableField(value = "country_name_zh")
    private String countryNameZh;

    /**
     * 英文国家/洲名称
     */
    @TableField(value = "country_name_en")
    private String countryNameEn;

    /**
     * 本地国家/洲名称
     */
    @TableField(value = "country_name_local")
    private String countryNameLocal;

    /**
     * 服务状态，默认0,-0未开通，-1开通
     */
    @TableField(value = "serve_enable")
    private Integer serveEnable;

    /**
     * 系统标识
     */
    @TableField(value = "project")
    private String project;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private Date createTime;

    /**
     * 创建人
     */
    @TableField(value = "create_user_id")
    private String createUserId;

    /**
     * 更新时间
     */
    @TableField(value = "update_time")
    private Date updateTime;

    /**
     * 更新人id
     */
    @TableField(value = "update_user_id")
    private String updateUserId;

    /**
     * 删除标记 0正常 1删除
     */
    @TableField(value = "delete_flag")
    private Integer deleteFlag;

    /**
     * 货币表id
     */
    @TableField(value = "currency_id")
    private Long currencyId;
}