package edu.travel.commodity.web;
import com.baomidou.mybatisplus.core.metadata.IPage;
import edu.travel.commodity.dto.BaseCountryServeDTO;
import edu.travel.commodity.entity.BaseCountryServe;
import edu.travel.commodity.remote.BaseCountryServeRemoteController;
import edu.travel.commodity.service.BaseCountryServeService;
import edu.travel.commodity.vo.BaseCountryServeVo;
import edu.travel.interfaces.UpdateGroups;
import edu.travel.resp.BaseResponse;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.web.BaseController;
import org.springframework.validation.Errors;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import org.springframework.beans.factory.annotation.Autowired;

/**
* 服务国家表(base_country_serve)表控制层
*
* @author xxxxx
*/
@RestController
@RequestMapping("/base_country_serve")
public class BaseCountryServeController  extends BaseController  implements BaseCountryServeRemoteController {
    @Autowired
    private BaseCountryServeService baseCountryServeService;

    @GetMapping("/getCountryServePage")
    public RPCBaseResponse<IPage<BaseCountryServe>> getCountryServePage(BaseCountryServeDTO dto) {
        return baseCountryServeService.getCountryServePage(dto);
    }

    @Override
    @PostMapping("/updateById")
    public BaseResponse<BaseCountryServeVo> updateTargetById(@RequestBody BaseCountryServeDTO entity) {
        return super.updateTargetById(entity);
    }
}
