package edu.travel.order.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import java.util.Date;

import edu.travel.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 订单商品表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_order_item")
public class ShopOrderItem extends BaseEntity {
    /**
     * 订单商品表ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 订单表ID
     */
    @TableField(value = "order_id")
    private Long orderId;

    /**
     * SKU
     */
    @TableField(value = "sku_id")
    private Long skuId;

    /**
     * 数量
     */
    @TableField(value = "quantity")
    private Integer quantity;

    /**
     * 单价
     */
    @TableField(value = "price")
    private BigDecimal price;

    /**
     * 使用的用户优惠券ID
     */
    @TableField(value = "user_coupon_id")
    private Long userCouponId;

    /**
     * 优惠券抵扣金额
     */
    @TableField(value = "coupon_discount")
    private BigDecimal couponDiscount;

    /**
     * 商品快照
     */
    @TableField(value = "snapshot")
    private String snapshot;

    /**
     * 订单商品状态 默认0 -0正常;-1退货 
     */
    @TableField(value = "`state`")
    private Integer state;

}